import react from "react";
import axios from "axios";
import dayjs from "dayjs";
import lodash from "lodash";
import react_dom from "react-dom";
import jsx_runtime from "react/jsx-runtime";
import * as __WEBPACK_EXTERNAL_MODULE_react_i18next_05dede28__ from "react-i18next";
import * as __WEBPACK_EXTERNAL_MODULE__tego_client_7f3175c1__ from "@tego/client";
import * as __WEBPACK_EXTERNAL_MODULE_antd__ from "antd";
import * as __WEBPACK_EXTERNAL_MODULE_ahooks__ from "ahooks";
import * as __WEBPACK_EXTERNAL_MODULE__tachybase_schema_532e17e1__ from "@tachybase/schema";
import * as __WEBPACK_EXTERNAL_MODULE_react_router_dom_5358f3fe__ from "react-router-dom";
import * as __WEBPACK_EXTERNAL_MODULE_antd_style_1dcbd21e__ from "antd-style";
import * as __WEBPACK_EXTERNAL_MODULE__ant_design_icons_a8184985__ from "@ant-design/icons";
import * as __WEBPACK_EXTERNAL_MODULE__emotion_css_bfcd1b5d__ from "@emotion/css";
import * as __WEBPACK_EXTERNAL_MODULE_i18next__ from "i18next";
import * as __WEBPACK_EXTERNAL_MODULE__ant_design_cssinjs_c619260f__ from "@ant-design/cssinjs";
import * as __WEBPACK_EXTERNAL_MODULE__dnd_kit_accessibility_682092eb__ from "@dnd-kit/accessibility";
import * as __WEBPACK_EXTERNAL_MODULE__dnd_kit_core_a545325d__ from "@dnd-kit/core";
import * as __WEBPACK_EXTERNAL_MODULE__dnd_kit_modifiers_69ce91a8__ from "@dnd-kit/modifiers";
import * as __WEBPACK_EXTERNAL_MODULE__dnd_kit_sortable_a8361dd8__ from "@dnd-kit/sortable";
import * as __WEBPACK_EXTERNAL_MODULE__dnd_kit_utilities_3c8eb4c2__ from "@dnd-kit/utilities";
import * as __WEBPACK_EXTERNAL_MODULE__floating_ui_react_3ddd630a__ from "@floating-ui/react";
import * as __WEBPACK_EXTERNAL_MODULE_react_router_65608a1a__ from "react-router";
import * as __WEBPACK_EXTERNAL_MODULE__index_mjs_52ce5380__ from "../../index.mjs";
function defineGlobalDeps(requirejs) {
    requirejs.define('react', ()=>react);
    requirejs.define('react-dom', ()=>react_dom);
    requirejs.define('react/jsx-runtime', ()=>jsx_runtime);
    requirejs.define('react-router', ()=>__WEBPACK_EXTERNAL_MODULE_react_router_65608a1a__);
    requirejs.define('react-router-dom', ()=>__WEBPACK_EXTERNAL_MODULE_react_router_dom_5358f3fe__);
    requirejs.define('antd', ()=>__WEBPACK_EXTERNAL_MODULE_antd__);
    requirejs.define('antd-style', ()=>__WEBPACK_EXTERNAL_MODULE_antd_style_1dcbd21e__);
    requirejs.define('@ant-design/icons', ()=>__WEBPACK_EXTERNAL_MODULE__ant_design_icons_a8184985__);
    requirejs.define('@ant-design/cssinjs', ()=>__WEBPACK_EXTERNAL_MODULE__ant_design_cssinjs_c619260f__);
    requirejs.define('i18next', ()=>__WEBPACK_EXTERNAL_MODULE_i18next__);
    requirejs.define('react-i18next', ()=>__WEBPACK_EXTERNAL_MODULE_react_i18next_05dede28__);
    requirejs.define('@tego/client', ()=>__WEBPACK_EXTERNAL_MODULE__tego_client_7f3175c1__);
    requirejs.define('@tachybase/client', ()=>__WEBPACK_EXTERNAL_MODULE__index_mjs_52ce5380__);
    requirejs.define('@tachybase/schema', ()=>__WEBPACK_EXTERNAL_MODULE__tachybase_schema_532e17e1__);
    requirejs.define('@tachybase/utils/client', ()=>__WEBPACK_EXTERNAL_MODULE__tego_client_7f3175c1__);
    requirejs.define('@dnd-kit/accessibility', ()=>__WEBPACK_EXTERNAL_MODULE__dnd_kit_accessibility_682092eb__);
    requirejs.define('@dnd-kit/core', ()=>__WEBPACK_EXTERNAL_MODULE__dnd_kit_core_a545325d__);
    requirejs.define('@dnd-kit/modifiers', ()=>__WEBPACK_EXTERNAL_MODULE__dnd_kit_modifiers_69ce91a8__);
    requirejs.define('@dnd-kit/sortable', ()=>__WEBPACK_EXTERNAL_MODULE__dnd_kit_sortable_a8361dd8__);
    requirejs.define('@dnd-kit/utilities', ()=>__WEBPACK_EXTERNAL_MODULE__dnd_kit_utilities_3c8eb4c2__);
    requirejs.define('axios', ()=>axios);
    requirejs.define('dayjs', ()=>dayjs);
    requirejs.define('lodash', ()=>lodash);
    requirejs.define('ahooks', ()=>__WEBPACK_EXTERNAL_MODULE_ahooks__);
    requirejs.define('@emotion/css', ()=>__WEBPACK_EXTERNAL_MODULE__emotion_css_bfcd1b5d__);
    requirejs.define('@floating-ui/react', ()=>__WEBPACK_EXTERNAL_MODULE__floating_ui_react_3ddd630a__);
}
export { defineGlobalDeps };
